#
# spec file for package morituri
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           morituri
Version:        0.2.3
Release:        4.3
Summary:        A CD ripper aiming for accuracy over speed
License:        GPL-3.0+
Group:          Productivity/Multimedia/CD/Grabbers
Url:            https://thomas.apestaart.org/morituri/trac
Source:         http://thomas.apestaart.org/download/%{name}/%{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM morituri-better-htoa-handling.patch recursive.forest@gmail.com -- Do not keep short HTOA's if their peak level is low.
Patch0:         %{name}-better-htoa-handling.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  python-gobject2
BuildRequires:  python-gstreamer-0_10
BuildRequires:  python-setuptools
BuildRequires:  python-xml
Requires:       cdparanoia
Requires:       cdrdao >= 1.2.3
Requires:       gstreamer-plugins-good >= 0.10.16
Requires:       python-CDDB
Requires:       python-gstreamer-0_10
Requires:       python-pycdio
# morituri uses parse_version.
Requires:       python-setuptools
Requires:       python-xdg
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif

%description
morituri is a CD ripper aiming for accuracy over speed.
Its features are modeled to compare with Exact Audio Copy.

Features:
 * Support for MusicBrainz for metadata lookup.
 * Support for AccurateRip verification.
 * Detects sample read offset and ability to defeat cache of drives.
 * Performs test and copy rip.
 * Detects and rips Hidden Track One Audio.
 * Templates for file and directory naming.
 * Support for lossless encoding and lossy encoding or re-encoding
   of images.
 * Tagging using GStreamer, including embedding MusicBrainz id's.
 * Retagging of images.
 * Plugins for logging.
 * For now, only a command line client (rip) is shipped.

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fi
%configure

%install
%make_install PYTHONLIBDIR=%{python_sitelib}
%fdupes %{buildroot}%{python_sitelib}/

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING HACKING NEWS README.md RELEASE TODO
%doc %{name}.doap
%config %{_sysconfdir}/bash_completion.d/rip
%{_bindir}/rip
%{python_sitelib}/%{name}/
%{_mandir}/man?/rip.?%{?ext_man}

%changelog
* Wed Apr  8 2015 sor.alexei@meowr.ru
- Correct dependencies.
- Remove morituri-rpmlintrc.
- Add morituri-better-htoa-handling.patch: do not keep short HTOA's
  if their peak level is low.
* Fri Feb 20 2015 aloisio@gmx.com
- update to 0.2.3:
  github bugs fixed:
  * 81: Show morituri version in cue and update TODO.
  * 78: Use standard AM_PATH_PYTHON rather than broken AS_PATH_PYTHON.
  * 77: Save MusicBrainz DiscID to tags.
  * 74: Support dev on Eclipse and Pydev by .gitignoring two project files.
  * 68: Also show the MusicBrainz lookup ID when retagging.
  * 59: EN DASH in album title
  * 56: image verify fails
  * 53: template default for MusicBrainz miss
  * 52: Makefile.am: error: required file './README' not found
  * 43: README: slight markup modifications to show formatted on github start page
  * 42: update lame mp3 profiles for gstreamer
  * 41: "rip offset verify" subcommand not found
  * 40: 0.2.2 tarball broken
  * 39: Run $PYTHON, not python
  trac bugs fixed:
  * 148: Makefile error compiling 0.2.2
  * 45: lame element is deprecated, should use 'lamemp3enc' instead
  * 144: Building out of git fails on Fedora 19
  * 147: problems with 2.2 and 2.1 on Ubuntu 13.04 2.0 is fine tho
  * 151: Morituri not finding my drive
  * 152: UnicodeEncodeError: 'ascii' codec can't encode characters in position 53-59: ordinal not in range(128)
  new features:
  * fixed non-01 index offsets
  * add new debug command, rip debug resultcache cue
  * use newer lamemp3enc element for mp3 encoding
  * fixed rip image verify command
* Tue Aug  6 2013 pascal.bleser@opensuse.org
- update to 0.2.2:
  * No matching offset found
  * 'rip cd info' should not eject the disc
  * Use track instead of the release artist MBID for the 'Musicbrainz artist ID'
  * "rip offset find" fails to initialise program.Program
  * Set album artist tag
* Sun Jun  5 2011 pascal.bleser@opensuse.org
- initial version (0.1.2)
